Int buttonState = 0;

void setup()
{
  pinMode(6, INPUT_PULLUP);  // GPIO 6 as input with pull-up resistor for the button
  pinMode(2, OUTPUT);        // GPIO 2 as output for the LED
}

void loop()
{
  // Read the state of the pushbutton
  buttonState = digitalRead(6);  // Read the state of GPIO 6 (button)

  // Check if the pushbutton is pressed. If it is, buttonState will be LOW (since we use INPUT_PULLUP)
  if (buttonState == LOW) {
    // Turn the LED on
    digitalWrite(2, HIGH);
  } else {
    // Turn the LED off
    digitalWrite(2, LOW);
  }

  delay(10);  // Delay to improve simulation performance
}