from machine import Pin
import time

# Set up the button and LED pin
button = Pin(21, Pin.IN)    # D6 pin (input for button)
led = Pin(4, Pin.OUT)      # D2 pin (output for LED)

while True:
    # Read the state of the pushbutton value
    buttonState = button.value()
    
    # Check if the button is pressed (buttonState is 1 when pressed)
    if buttonState == 1:
        # Turn LED on
        led.value(1)
    else:
        # Turn LED off
        led.value(0)
    
    time.sleep(0.01)  # Delay to improve performance